Redmine - Feature #3706

Allow assigned_to field configuration on Issue creation by email
2009-08-03 04:19 - Erica Gallindo

Status: Closed Start date: 2009-08-03
Priority: Normal Due date:

Assignee: Eric Davis % Done: 100%
Category: Email receiving Estimated time: 0.00 hour
Target version: 1.0.0 (RC)

Resolution: Fixed

Description

It's already possible to fetch incoming emails and control the following attributes when creating a issue:

® project=PROJECT identifier of the target project

¢ tracker=TRACKER name of the target tracker

e category=CATEGORY name of the target category
priority=PRIORITY name of the target priority

Is it possible to control the assigned _to field too? I'm already using Redmine to control a distributed development process (about a
hundred users) and at this moment we need a way to register (as a Redmine issue) all the support e-mails we are receiving from
external users. All these emails must be assigned to a specific Redmine user for helping our user support process.

I'm testing the trunk version (rev 2835) which already include the great job described in
http://www.redmine.org/projects/redmine/repository/revisions/2789.

Related issues:

Related to Redmine - Feature #5573: Allow issue assignment in email Closed 2010-05-21
Related to Redmine - Feature #5594: Improve MailHandler's keyword handling Closed 2010-05-25
History

#1 - 2009-08-03 10:58 - Mischa The Evil

- Tracker changed from Patch to Feature

#2 - 2009-09-15 08:05 - Marcin Trendota

Vote for it ;)
I would do it by myself if only i knew ruby (or have time to learn it)...

#3 - 2009-11-28 13:16 - Jean-Philippe Lang

- Category changed from Email notifications to Email receiving

#4 - 2010-01-29 14:46 - Emils Klotins

Marcin Trendota wrote:

Vote for it ;)
| would do it by myself if only i knew ruby (or have time to learn it)...

Likewise, it would so much help setting up automated issue entry in some cases.

#5 - 2010-02-08 02:36 - Erica Gallindo

When | first suggest this, | wasn't aware how to use categories for this purpose. Now, | know it's possible to control the assigned_to field using
categories. When a category is created it is possible to configure a redmine user for that. Thus, simply chosing a category for an issue when its is

created will automatically fill the issue "assigned_to" field with category configured user.

#6 - 2010-03-29 20:50 - Enderson Maia

+1

| suggest that the CC: field could be used as a assigned_to: , and CC: just for watchers.
http://www.redmine.org/projects/redmine/repository/revisions/2789

So a message with:

to: <redmine@example.com>, <user@example.com>
cc: <somebody@example.com>, <someonelexample.com>

would be created a issue assigned_to: <user@example.com> and <somebody@example.com>, <someone@example.com> for watchers.

In this case using <redmine@example.com> as the incoming e-mail, | just don't know how Redmine could make this distinction.

Another option would be to make allow-override accept the assigned_to: as an option, and the assigner users could be set on the e-mail body.

#7 - 2010-06-05 05:51 - Eric Davis

- Status changed from New to Closed
- Assignee set to Eric Davis

- Target version set to 1.0.0 (RC)

- % Done changed from 0 to 100

- Resolution set to Fixed

Added support for setting an issue's assigned to field via email. It will take a user's email address, login, or full name. r3764

2025-05-02 22


mailto:user@example.com
mailto:somebody@example.com
mailto:someone@example.com
mailto:redmine@example.com
https://www.redmine.org/projects/redmine/repository/svn/revisions/3764
http://www.tcpdf.org

